Package com.sun.j3d.audioengines

# Class AuralParameters

java.lang.Object
com.sun.j3d.audioengines.AuralParameters

Direct Known Subclasses:
  `JSAuralParameters`

public class AuralParameters extends Object
The AuralParameters Class defines a set of fields that define the Aural listening environment. Many of the parameters correspond to AuralAttribute fields.

Error checking on all parameters passed to these methods is already explicitly being done by the Java 3D core code that calls these methods.

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`decayFrequencyCutoff`
`float`
`decayTime`
`float`
`density`
`float`
`diffusion`
`float`
`frequencyScaleFactor`
`static final int`
`NO_FILTERING`
`float`
`reflectionCoefficient`
`float`
`reflectionDelay`
`float`
`reverbCoefficient`
`float`
`reverbDelay`
`int`
`reverbOrder`
`float`
`rolloff`
`static final float`
`SPEED_OF_SOUND`
`float`
`velocityScaleFactor`

## Constructor Summary

Constructors
Constructor
Description
`AuralParameters()`
Construct a new AuralParameters object

## Method Summary

Modifier and Type
Method
Description
`protected void`
`debugPrint(String message)`
Debug print method for Sound nodes
`void`
`getDistanceFilter(double[] distance, float[] filterCutoff)`
`int`
`getDistanceFilterLength()`
`int`
`getDistanceFilterType()`
`void`
`setDistanceFilter(int filterType, double[] distance, float[] filterCutoff)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SPEED_OF_SOUND

public static final float SPEED_OF_SOUND

See Also:
  - Constant Field Values

### NO_FILTERING

public static final int NO_FILTERING

See Also:
  - Constant Field Values

### rolloff

public float rolloff

### reflectionCoefficient

public float reflectionCoefficient

### reverbDelay

public float reverbDelay

### reverbOrder

public int reverbOrder

### frequencyScaleFactor

public float frequencyScaleFactor

### velocityScaleFactor

public float velocityScaleFactor

### reverbCoefficient

public float reverbCoefficient

### reflectionDelay

public float reflectionDelay

### decayTime

public float decayTime

### decayFrequencyCutoff

public float decayFrequencyCutoff

### diffusion

public float diffusion

### density

public float density

## Constructor Details

### AuralParameters

public AuralParameters()
Construct a new AuralParameters object

## Method Details

### setDistanceFilter

public void setDistanceFilter(int filterType, double[] distance, float[] filterCutoff)

### getDistanceFilterLength

public int getDistanceFilterLength()

### getDistanceFilterType

public int getDistanceFilterType()

### getDistanceFilter

public void getDistanceFilter(double[] distance, float[] filterCutoff)

### debugPrint

protected void debugPrint(String message)
Debug print method for Sound nodes